<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlDevCsi2Cfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlDevCsi2Cfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>CSI2 configuration.  
 <a href="structrl_dev_csi2_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_device.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:adff92654b4989678ef57327eeaff4268"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adff92654b4989678ef57327eeaff4268"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_csi2_cfg__t.html#adff92654b4989678ef57327eeaff4268">lanePosPolSel</a></td></tr>
<tr class="memdesc:adff92654b4989678ef57327eeaff4268"><td class="mdescLeft">&#160;</td><td class="mdescRight">b2:0 - DATA_LANE0_POS <br />
 Valid values (Should be a unique position if lane 0 is enabled, ignored if <br />
 lane 0 is not enabled): <br />
 000b - Unused, 001b - Position 1 (default), <br />
 010b - Position 2, 011b - Position 3, <br />
 100b - Position 4, 101b - Position 5 <br />
 b3 DATA_LANE0_POL <br />
 0b - PLUSMINUS pin order, 1b - MINUSPLUS pin order <br />
 b6:4 DATA_LANE1_POS <br />
 Valid values (Should be a unique position if lane 1 is <br />
 enabled, ignored if lane 1 is not enabled): <br />
 000b - Unused, 001b - Position 1, <br />
 010b - Position 2 (default), 011b - Position 3, <br />
 100b - Position 4, 101b - Position 5 <br />
 b7 DATA_LANE1_POL <br />
 0b - PLUSMINUS pin order, 1b - MINUSPLUS pin order <br />
 b10:8 DATA_LANE2_POS <br />
 Valid values (Should be a unique position if lane 2 is <br />
 enabled, ignored if lane 2 is not enabled): <br />
 000b - Unused, 001b - Position 1, <br />
 010b - Position 2, 011b - Position 3, <br />
 100b - Position 4 (default), 101b - Position 5 <br />
 b11 DATA_LANE2_POL <br />
 0b - PLUSMINUS pin order, 1b - MINUSPLUS pin order <br />
 b14:12 DATA_LANE3_POS <br />
 Valid values (Should be a unique position if lane 3 is <br />
 enabled, ignored if lane 3 is not enabled): <br />
 000b - Unused, 001b - Position 1, <br />
 010b - Position 2, 011b - Position 3, <br />
 100b - Position 4, 101b - Position 5 (default) <br />
 b15 DATA_LANE3_POL <br />
 0b - PLUSMINUS pin order, 1b - MINUSPLUS pin order <br />
 b18:16 CLOCK_POS <br />
 Valid values (Should be a unique position): <br />
 001b - Position 1, <br />
 010b - Position 2, 011b - Position 3 (default), <br />
 100b - Position 4 <br />
 b19 CLOCK_POL <br />
 0b - PLUSMINUS pin order, 1b - MINUSPLUS pin order <br />
 b31:20 RESERVED <br />
<br /></td></tr>
<tr class="separator:adff92654b4989678ef57327eeaff4268"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5275b860b2e907ce60cd993ead34a5a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5275b860b2e907ce60cd993ead34a5a4"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dev_csi2_cfg__t.html#a5275b860b2e907ce60cd993ead34a5a4">reserved1</a></td></tr>
<tr class="memdesc:a5275b860b2e907ce60cd993ead34a5a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a5275b860b2e907ce60cd993ead34a5a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>CSI2 configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_device.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
